# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'burrows_wheeler/version'

Gem::Specification.new do |spec|
  spec.name          = "burrows_wheeler"
  spec.version       = BurrowsWheeler::VERSION
  spec.authors       = ["M.Magomedov"]
  spec.email         = ["mmagomedoff@gmail.com"]
  spec.summary       = %q{Burrows-Wheeler transformation.}
  spec.description   = %q{Burrows-Wheeler transformation. Encoding and decoding.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
end
