require 'helper'
require 'burrows_wheeler/circular_string'
require 'burrows_wheeler/circular_suffix_array'

module BurrowsWheeler
  class TestCircularSuffixArray < MiniTest::Unit::TestCase
    def setup
      @circular_suffix_array = CircularSuffixArray.new('ABRACADABRA!')
    end

    def test_length
      assert_equal 12, @circular_suffix_array.length
    end

    def test_indexing
      assert_equal 0, @circular_suffix_array[3]
    end

    def test_array
      assert_equal [11, 10, 7, 0, 3, 5, 8, 1, 4, 6, 9, 2], @circular_suffix_array.to_a
    end
  end
end
